Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 140865 - jVi StorageFilter keybindings not applied after module install
jVi StorageFilter keybindings not applied after module install
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Settings
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Vitezslav Stejskal
issues@editor
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-19 04:28 UTC by err
Modified: 2009-02-19 20:45 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
log of installation (34.58 KB, text/plain)
2008-07-19 04:29 UTC, err
Details
log of startup and the keybindings are in place (35.88 KB, text/plain)
2008-07-19 04:30 UTC, err
Details

Note You need to log in before you can comment on or make changes to this bug.
Description err 2008-07-19 04:28:20 UTC
A restart is required for the keybindings to get properly installed in the JEditorPane.

After the install, the defaultKeyTypedAction is working, but none of the keybindings are, for example ^F, ^D.

My guess is that during install the Action that are registered in layer.xml have not yet been created when the storage
filter is queried for the keybindings.

Attached are two logs, one of the install and then the subsequent startup when stuff starts working. These logs may be
of little use; in them everything looks ok from the jVi point of view.
Comment 1 err 2008-07-19 04:29:49 UTC
Created attachment 65015 [details]
log of installation
Comment 2 err 2008-07-19 04:30:37 UTC
Created attachment 65016 [details]
log of startup and the keybindings are in place
Comment 3 Vitezslav Stejskal 2008-07-22 14:14:42 UTC
I'll investigate.
Comment 4 Miloslav Metelka 2008-12-01 16:14:22 UTC
Is this still a valid problem?
Comment 5 Miloslav Metelka 2008-12-12 10:23:25 UTC
Please reopen if the problem persists.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo